/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_DATA_H)
#define _DATA_H

#define PER_MIN 60
#define PER_SEC 60
#define PER_MSEC 1000

/*
 * Initialize the data component
 */
void data_initialize(void);

/*
 * Finalize the data component
 */
void data_finalize(void);

const char *data_get_text(void);
char *data_get_recording_file_title_according_to_index(void);
char *data_get_filename_according_to_count(void);
void data_create_voice_list_from_db(void);
voice_list_item_info *data_get_recording_info_from_file_path(char *file_name, char *file_path);
void data_get_index(void);
char *data_get_absolute_path_to_filename(char *name);
Eina_Bool data_check_file_extension(char *file_name);
void data_remove_selected_item_from_list_and_db(void);
int data_count_voice_list_item(void);
void data_get_resource(const char *file_in, char *file_path_out, int file_path_max);
int data_count_voice_list_item(void);
void data_store_index(void);
void data_increase_index(void);
void data_append_item_info_to_list(voice_list_item_info *record_info);
void data_set_selected_item(voice_list_item_info *selected_item);
Eina_List *data_get_voice_list(void);
int data_get_voice_list_item_count(void);
void data_release_voice_list(void);
char *data_get_popup_text(void);

#endif
